function vect = pzop(vect)
% given a vector of zeros or poles, do something to it

global hfixedmag hfixedang horder;

op = get(gco,'value');
str = get(horder,'string');
val = sscanf(str,'%d');

% first we do the "no click required by user" section
% add a zp at the origin
if op == 5
	for n = 1:val
	vect = [vect; 0];
	end

% add a zp at the mag and angle specified by the user
elseif op == 15
	str = get(hfixedmag,'string');
	valmag = sscanf(str,'%f');
	str = get(hfixedang,'string');
	valang = sscanf(str,'%f');
	for n = 1:val
	vect = [vect ; valmag*exp(j*valang*pi)];
	end

% add a zp and its conj at the mag and angle specified by the user
elseif op == 16
	str = get(hfixedmag,'string');
	valmag = sscanf(str,'%f');
	str = get(hfixedang,'string');
	valang = sscanf(str,'%f');
	for n = 1:val
	vect = [vect ; valmag*exp(j*valang*pi) ; valmag*exp(-j*valang*pi)];
	end

% now we do the "click required by user" section
else
  [x y button] = ginput(1);
  for n = 1:val
	% add zp at point clicked by user
	if op == 1
		vect = [vect; x+y*j];
	end

	% add conjugate to zp clicked by user
	if op == 2
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect = [vect; conj(vect(ind))];
	end

	% increase order of zp clicked by user
	if op == 3
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect = [vect; vect(ind)];
	end

	% add zp and conjugate at point clicked by user
	if op == 4
		vect = [vect; x+y*j; x-y*j];
	end

	% add zp on real axis at point clicked by user
	if op == 6
		vect = [vect; x];
	end	

	% delete zp from point clicked by user
	if op == 7
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect = [vect(1:(ind-1)) ; vect((ind+1):length(vect))];
	end

	% delete zp and its conj from point clicked by user
	if op == 8
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect = [vect(1:(ind-1)) ; vect((ind+1):length(vect))];
		y = -y;
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect = [vect(1:(ind-1)) ; vect((ind+1):length(vect))];
	end

	% reflect zp clicked by user to outside the unit circle
	if op == 9
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect(ind) = 1/conj(vect(ind));
	end

	% reflect zp clicked by user and reflect its conj as well
	if op == 10
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect(ind) = 1/conj(vect(ind));
		y = -y;
		diffvect = (zeros(1,length(vect)) + [x + y*j]) - conj(vect');
		[val ind] = min(diffvect);
		vect(ind) = 1/conj(vect(ind));
	end

	% add a zp at the mag specified by the user
	if op == 11
		str = get(hfixedmag,'string');
		val = sscanf(str,'%f');
		vect = [vect ; val * exp(j*angle(x+j*y))];
	end

	% add a zp and its conj at the mag specified by the user
	if op == 12
		str = get(hfixedmag,'string');
		val = sscanf(str,'%f');
		vect = [vect ; val * exp(j*angle(x+j*y)) ; val * exp(-j*angle(x+j*y))];
	end

	% add a zp at the angle specified by the user
	if op == 13
		str = get(hfixedang,'string');
		val = sscanf(str,'%f');
		vect = [vect ; abs(x+j*y)*exp(j*val*pi)];
	end

	% add a zp and its conj at the angle specified by the user
	if op == 14
		str = get(hfixedang,'string');
		val = sscanf(str,'%f');
		vect = [vect ; abs(x+j*y)*exp(j*val*pi) ; abs(x+j*y)*exp(-j*val*pi)];
	end
  end
end
	
return